Subject: bug#13444: closed (Re: bug#13444: 24.3.50; OS X Mountain Lion Fullscreen Broken Toolbar Behaviour)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Feb 2013 12:26:02 +0000

Your bug report

#13444: 24.3.50; OS X Mountain Lion Fullscreen Broken Toolbar Behaviour

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13444: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13444
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13444: 24.3.50; OS X Mountain Lion Fullscreen Broken Toolbar Behaviour
From: Jan Djärv <[email-masked]>
To: J Irving <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 5 Feb 2013 13:24:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.
This is fixed in the trunk. 

    Jan D.

15 jan 2013 kl. 00:29 skrev J Irving <[email-masked]>:

> In fullscreen mode, when the toolbar is disabled, there is space
> visible outside the Emacs frame.
> 
> Secondly, if I disable the toolbar in regular non-fullscreen mode, and
> then go to fullscreen mode, the toolbar returns. Doing M-x
> ns-toggle-toolbar reports that it has now been *enabled* and nothing
> changes visibly. A second invocation causes the toolbar to be removed,
> but adds a lot of space at the bottom of the screen.
> 
> Some screen captures...
> 
> - Hit fullscreen after disabling the toolbar:
>    http://d.pr/i/NMHx
> 
> - Disable the toolbar (2 x M-x ns-toggle-toolbar):
>    http://d.pr/i/56bx
> 
> - Enable the toolbar again:
>    http://d.pr/i/hHQi
> 
> - Note that the last action causes the mini-buffer to disappear but not
>  completely:
>    http://d.pr/i/6AzD
> 
> I have also noticed that the space at the top of the frame but under the
> toolbar is covered by the toolbar when I move my mouse cursor to the top
> of the screen and cause the OS X menu bar to appear. This pushes the
> emacs toolbar down. I hope this extra space is not by design! I would
> like to use the full screen for text in fullscreen mode.
> 
> 
> 
> 
> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2013-01-14 on bob.porkrind.org
> Bzr revision: 111517 [email-masked]
> Windowing system distributor `Apple', version 10.3.1187
> Configured using:
> `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
> --with-ns'
> 
> Important settings:
>  value of $LANG: en_CA.UTF-8
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
> 
> Major mode: Lisp Interaction
> 
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> M-x n s - t o g g l e - t o o l b a r <return> M-x 
> n s - t o g g l e t <backspace> <backspace> e - t o 
> o l b a r <return> M-x <up> <return> M-x <up> <return> 
> M-x <up> <return> M-x <up> <return> M-x <up> <return> 
> M-x n s - t o g g l e - = t o <backspace> <backspace> 
> <backspace> t o o l b a r <return> M-# <right> <left> 
> <down> M-x n s - t o g g l e - t o o l b a r <return> 
> M-x n s - t o <up> <return> M-x <help-echo> C-g M-x 
> n s - <up> <return> M-x <up> <return> <help-echo> M-x 
> <escape> C-g <help-echo> M-x C-g M-x <up> <return> 
> M-x <up> <return> M-x <up> <return> <help-echo> M-x 
> r e p o r t <backspace> <backspace> <backspace> <backspace> 
> <backspace> <backspace> r e p o r t - e m a c s - b 
> u g <return>
> 
> Recent messages:
> You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [8 times]
> call-interactively: End of buffer
> You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [2 times]
> Quit
> You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [2 times]
> completing-read-default: Command attempted to use minibuffer while in minibuffer
> Quit
> You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [3 times]
> user-error: Beginning of history; no preceding item
> user-error: End of history; no default available
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
> fringe tabulated-list newcomment lisp-mode register page menu-bar
> rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
> facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
> czech european ethiopic indian cyrillic chinese case-table epa-hook
> jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
> cus-face macroexp files text-properties overlay sha1 md5 base64 format
> env code-pages mule custom widget hashtable-print-readable backquote
> make-network-process ns multi-tty emacs)
> 
> 

Subject: 24.3.50; OS X Mountain Lion Fullscreen Broken Toolbar Behaviour
From: J Irving <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jan 2013 18:29:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In fullscreen mode, when the toolbar is disabled, there is space
visible outside the Emacs frame.

Secondly, if I disable the toolbar in regular non-fullscreen mode, and
then go to fullscreen mode, the toolbar returns. Doing M-x
ns-toggle-toolbar reports that it has now been *enabled* and nothing
changes visibly. A second invocation causes the toolbar to be removed,
but adds a lot of space at the bottom of the screen.

Some screen captures...

- Hit fullscreen after disabling the toolbar:
    http://d.pr/i/NMHx

- Disable the toolbar (2 x M-x ns-toggle-toolbar):
    http://d.pr/i/56bx

- Enable the toolbar again:
    http://d.pr/i/hHQi

- Note that the last action causes the mini-buffer to disappear but not
  completely:
    http://d.pr/i/6AzD

I have also noticed that the space at the top of the frame but under the
toolbar is covered by the toolbar when I move my mouse cursor to the top
of the screen and cause the OS X menu bar to appear. This pushes the
emacs toolbar down. I hope this extra space is not by design! I would
like to use the full screen for text in fullscreen mode.

In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2013-01-14 on bob.porkrind.org
Bzr revision: 111517 [email-masked]
Windowing system distributor `Apple', version 10.3.1187
Configured using:
`configure --host=x86_64-apple-darwin --build=i686-apple-darwin
--with-ns'

Important settings:
  value of $LANG: en_CA.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x n s - t o g g l e - t o o l b a r <return> M-x 
n s - t o g g l e t <backspace> <backspace> e - t o 
o l b a r <return> M-x <up> <return> M-x <up> <return> 
M-x <up> <return> M-x <up> <return> M-x <up> <return> 
M-x n s - t o g g l e - = t o <backspace> <backspace> 
<backspace> t o o l b a r <return> M-# <right> <left> 
<down> M-x n s - t o g g l e - t o o l b a r <return> 
M-x n s - t o <up> <return> M-x <help-echo> C-g M-x 
n s - <up> <return> M-x <up> <return> <help-echo> M-x 
<escape> C-g <help-echo> M-x C-g M-x <up> <return> 
M-x <up> <return> M-x <up> <return> <help-echo> M-x 
r e p o r t <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> r e p o r t - e m a c s - b 
u g <return>

Recent messages:
You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [8 times]
call-interactively: End of buffer
You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [2 times]
Quit
You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [2 times]
completing-read-default: Command attempted to use minibuffer while in minibuffer
Quit
You can run the command `ns-toggle-toolbar' with <ns-toggle-toolbar> [3 times]
user-error: Beginning of history; no preceding item
user-error: End of history; no default available

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process ns multi-tty emacs)